summaryrefslogtreecommitdiffstats
path: root/test/test_filter_plugin.sh.in
diff options
context:
space:
mode:
authorDana Robinson <derobins@hdfgroup.org>2017-11-09 01:52:44 (GMT)
committerDana Robinson <derobins@hdfgroup.org>2017-11-09 01:52:44 (GMT)
commit00ade113c5fe7d48571a36091970328dcca68f50 (patch)
tree11df63256f5533e3621054d44ccf15172bdf74d4 /test/test_filter_plugin.sh.in
parent51b80a8d8585b9ccb471966d235cd99379c3bcf3 (diff)
downloadhdf5-00ade113c5fe7d48571a36091970328dcca68f50.zip
hdf5-00ade113c5fe7d48571a36091970328dcca68f50.tar.gz
hdf5-00ade113c5fe7d48571a36091970328dcca68f50.tar.bz2
Plugin test rework
Cleanup of plugin test code. Renames many files. Prep for VOL branch merge.
Diffstat (limited to 'test/test_filter_plugin.sh.in')
-rw-r--r--test/test_filter_plugin.sh.in113
1 files changed, 113 insertions, 0 deletions
diff --git a/test/test_filter_plugin.sh.in b/test/test_filter_plugin.sh.in
new file mode 100644
index 0000000..0a45c0f
--- /dev/null
+++ b/test/test_filter_plugin.sh.in
@@ -0,0 +1,113 @@
+#! /bin/sh
+#
+# Copyright by The HDF Group.
+# All rights reserved.
+#
+# This file is part of HDF5. The full HDF5 copyright notice, including
+# terms governing use, modification, and redistribution, is contained in
+# the COPYING file, which can be found at the root of the source code
+# distribution tree, or in https://support.hdfgroup.org/ftp/HDF5/releases.
+# If you do not have access to either file, you may request a copy from
+# help@hdfgroup.org.
+#
+srcdir=@srcdir@
+TOP_BUILDDIR=@top_builddir@
+
+# Determine if backward compatibility options enabled
+DEPRECATED_SYMBOLS="@DEPRECATED_SYMBOLS@"
+
+EXIT_SUCCESS=0
+EXIT_FAILURE=1
+
+nerrors=0
+verbose=yes
+exit_code=$EXIT_SUCCESS
+
+TEST_NAME=filter_plugin
+TEST_BIN=`pwd`/$TEST_NAME
+FROM_DIR=`pwd`/.libs
+case $(uname) in
+ CYGWIN* )
+ PLUGINS_FOR_DIR1="$FROM_DIR/cygfilter_plugin1* $FROM_DIR/cygfilter_plugin3*"
+ PLUGINS_FOR_DIR2="$FROM_DIR/cygfilter_plugin2* $FROM_DIR/cygfilter_plugin4*"
+ ;;
+ *)
+ PLUGINS_FOR_DIR1="$FROM_DIR/libfilter_plugin1* $FROM_DIR/libfilter_plugin3*"
+ PLUGINS_FOR_DIR2="$FROM_DIR/libfilter_plugin2* $FROM_DIR/libfilter_plugin4*"
+ ;;
+esac
+PLUGIN_DIR1=filter_plugin_dir1
+PLUGIN_DIR2=filter_plugin_dir2
+CP="cp -p" # Use -p to preserve mode,ownership,timestamps
+RM="rm -rf"
+
+# Print a line-line message left justified in a field of 70 characters
+# beginning with the word "Testing".
+#
+TESTING() {
+ SPACES=" "
+ echo "Testing $* $SPACES" | cut -c1-70 | tr -d '\012'
+}
+
+# Main Body
+# Create test directories if necessary.
+test -d $PLUGIN_DIR1 || mkdir -p $PLUGIN_DIR1
+if [ $? != 0 ]; then
+ echo "Failed to create filter plugin test directory ($PLUGIN_DIR1)"
+ exit $EXIT_FAILURE
+fi
+
+test -d $PLUGIN_DIR2 || mkdir -p $PLUGIN_DIR2
+if [ $? != 0 ]; then
+ echo "Failed to create filter plugin test directory ($PLUGIN_DIR2)"
+ exit $EXIT_FAILURE
+fi
+
+# Copy plugins for the tests.
+$CP $PLUGINS_FOR_DIR1 $PLUGIN_DIR1
+if [ $? != 0 ]; then
+ echo "Failed to copy filter plugins ($PLUGINS_FOR_DIR1) to test directory."
+ exit $EXIT_FAILURE
+fi
+
+$CP $PLUGINS_FOR_DIR2 $PLUGIN_DIR2
+if [ $? != 0 ]; then
+ echo "Failed to copy filter plugins ($PLUGINS_FOR_DIR2) to test directory."
+ exit $EXIT_FAILURE
+fi
+
+# setup plugin path
+ENVCMD="env HDF5_PLUGIN_PATH=${PLUGIN_DIR1}:${PLUGIN_DIR2}"
+
+# Run the test
+$ENVCMD $TEST_BIN
+if [ $? != 0 ]; then
+ nerrors=`expr $nerrors + 1`
+fi
+
+############################################
+# HDFFV-9655 test for relative path disabled
+# setup filter plugin path relative to test
+# actual executable is in the .libs folder
+#ENVCMD="env HDF5_PLUGIN_PATH=@/../${PLUGIN_DIR1}:@/../${PLUGIN_DIR2}"
+#
+# Run the test
+#$ENVCMD $TEST_BIN
+#if [ $? != 0 ]; then
+# nerrors=`expr $nerrors + 1`
+#fi
+#############################################
+
+# print results
+if test $nerrors -ne 0 ; then
+ echo "$nerrors errors encountered"
+ exit_code=$EXIT_FAILURE
+else
+ echo "All filter plugin tests passed."
+ exit_code=$EXIT_SUCCESS
+fi
+
+# Clean up temporary files/directories and leave
+$RM $PLUGIN_DIR1 $PLUGIN_DIR2
+
+exit $exit_code